@import url("../bootstrap/assets/css/bootstrap.min.css");
@import url("../bootstrap/assets/css/app.min.css");
@import url("../bootstrap/assets/libs/sweetalert2/sweetalert2.min.css");
@import url("../bootstrap/fontawesome/css/all.min.css");

label.required::after {
  content: " *";
  color: #dc3545;
}

.select2-container--default .select2-selection--single {
  padding: 1.1rem 0.5rem !important;
  border: var(--vz-border-width) solid var(--vz-input-border-custom) !important;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__rendered {
  transform: translate(-2px, -15px) !important;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__arrow {
  transform: translate(-10px, 12px) !important;
  display: grid;
}
.select2-container--default .select2-selection--single.is-invalid {
  border-color: #dc3545 !important;
}

.select2-container--default
  .select2-selection--single.is-invalid
  .select2-selection__arrow:before {
  content: "0";
  color: transparent;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23f06548'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23f06548' stroke='none'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-size: calc(0.75em + 0.5rem) calc(0.75em + 0.5rem);
  transform: translate(-27px, -3px);
}

.select2-container--default
  .select2-selection--single
  .select2-selection__arrow
  b {
  border-width: 0px !important;
}

.select2-container--default
  .select2-selection--single
  .select2-selection__arrow:after {
  content: "0";
  color: transparent;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-size: 16px 12px;
  transform: translate(0px, 0px);
}

.select2-container--default
  .select2-selection--single.is-invalid
  .select2-selection__arrow:after {
  transform: translate(0px, -18px);
}
